Subject: Re: let git grep consider sub projects

From: Olaf Hering <[email-masked]>
Date: Wed, 8 Oct 2014 09:31:40 +0200

On Wed, Oct 08, Jens Lehmann wrote:

> Okay, I just checked that xen doesn't use submodules but uses simple
> embedded repos ignored by the .gitignore file. From a quick glance
> it looks like handling the sub projects is scripted in the Makefiles.
> This is perfectly fine, but then you can't really expect git commands
> to know about these sub projects. Or am I missing something?

I just did not know about the submodule command. And I did not realize
that they are in .gitignore, which should have been obvious.

I will check if using submodule instead of plain clone can be done,
without breaking anyones workflow.

Olaf